SwiftExecutable (Gradle API 9.2.0)
Description: declaration: package: org.gradle.language.swift, interface: SwiftExecutable

Package org.gradle.language.swift

# Interface SwiftExecutable

All Superinterfaces:
  `ComponentWithDependencies`, `ComponentWithExecutable`, `ComponentWithInstallation`, `ComponentWithNativeRuntime`, `ComponentWithObjectFiles`, `ComponentWithOutputs`, `Named`, `SoftwareComponent`, `SwiftBinary`

public interface SwiftExecutable extends SwiftBinary, ComponentWithExecutable, ComponentWithInstallation, ComponentWithOutputs
An executable built from Swift source.

Since:
  4.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<RegularFile>`
  `getDebuggerExecutableFile()`
  Returns the executable file to use with a debugger for this binary.

  ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

  `getDependencies`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithExecutable

  `getExecutableFile, getExecutableFileProducer, getLinkLibraries, getLinkTask`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithInstallation

  `getInstallDirectory, getInstallTask, getRuntimeLibraries`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

  `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

  `getObjects`

  ### Methods inherited from interface org.gradle.language.ComponentWithOutputs

  `getOutputs`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

  ### Methods inherited from interface org.gradle.language.swift.SwiftBinary

  `getCompileModules, getCompileTask, getLinkLibraries, getModule, getModuleFile, getRuntimeLibraries, getSwiftSource, getTargetPlatform, isTestable`

- ## Method Details

  - ### getDebuggerExecutableFile

    Provider<RegularFile> getDebuggerExecutableFile()
    Returns the executable file to use with a debugger for this binary.
    Since:
      4.5